Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Wed, 09 Jun 2021 05:44:35 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Hi this is regarding my orders I placed. 
#9665354947
#9665541855
#9666143858
#9664969746
The above orders were supposed to be delivered today. I have been calling the call center almost every day and in informed them due to the nature of my job, I cannot be home all the time. On Wednesday, i informed the customer care to deliver these order on Friday or Saturday. Sadly it’s not been delivered. Everyday I hear from the customer care that the orders will be delivered on the same day but nothing happens. I have never been so disappointed from the MAX. I would like to ask the management to deliver the above orders as soon as possible. As these items are supposed to be delivered over seas. Waiting for a positive reply. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2674762